"use strict";
/**
 * index.demo module
 * @module index.demo
 * @see module:index
 */
const d2recharts = require("d2recharts");
const React = require("react");
// const $ = require("jquery");
const ReactDOM = require("react-dom");
require("./index.less");

const data = { "data": [{ "id": "北京", "name": "北京", "parent_id": "-", "pay_order_quantity": "320.0万" }, { "id": "长沙", "name": "长沙", "parent_id": "-", "pay_order_quantity": "343.9万" }, { "id": "成都", "name": "成都", "parent_id": "-", "pay_order_quantity": "269.5万" }, { "id": "广州", "name": "广州", "parent_id": "-", "pay_order_quantity": "295.4万" }, { "id": "杭州", "name": "杭州", "parent_id": "-", "pay_order_quantity": "368.3万" }, { "id": "上海", "name": "上海", "parent_id": "-", "pay_order_quantity": "366.2万" }, { "id": "深圳", "name": "深圳", "parent_id": "-", "pay_order_quantity": "355.9万" }, { "id": "武汉", "name": "武汉", "parent_id": "-", "pay_order_quantity": "412.5万" }, { "id": "Android APP", "name": "Android APP", "parent_id": "北京", "pay_order_quantity": "158.6万" }, { "id": "iOS APP", "name": "iOS APP", "parent_id": "北京", "pay_order_quantity": "38.4万" }, { "id": "微信公众号", "name": "微信公众号", "parent_id": "北京", "pay_order_quantity": "123.1万" }, { "id": "Android APP", "name": "Android APP", "parent_id": "长沙", "pay_order_quantity": "138.0万" }, { "id": "iOS APP", "name": "iOS APP", "parent_id": "长沙", "pay_order_quantity": "69.9万" }, { "id": "微信公众号", "name": "微信公众号", "parent_id": "长沙", "pay_order_quantity": "136.0万" }, { "id": "Android APP", "name": "Android APP", "parent_id": "成都", "pay_order_quantity": "116.3万" }, { "id": "iOS APP", "name": "iOS APP", "parent_id": "成都", "pay_order_quantity": "56.4万" }, { "id": "微信公众号", "name": "微信公众号", "parent_id": "成都", "pay_order_quantity": "96.8万" }, { "id": "Android APP", "name": "Android APP", "parent_id": "广州", "pay_order_quantity": "92.2万" }, { "id": "iOS APP", "name": "iOS APP", "parent_id": "广州", "pay_order_quantity": "79.5万" }, { "id": "微信公众号", "name": "微信公众号", "parent_id": "广州", "pay_order_quantity": "123.7万" }, { "id": "Android APP", "name": "Android APP", "parent_id": "杭州", "pay_order_quantity": "154.3万" }, { "id": "iOS APP", "name": "iOS APP", "parent_id": "杭州", "pay_order_quantity": "87.4万" }, { "id": "微信公众号", "name": "微信公众号", "parent_id": "杭州", "pay_order_quantity": "126.6万" }, { "id": "Android APP", "name": "Android APP", "parent_id": "上海", "pay_order_quantity": "140.9万" }, { "id": "iOS APP", "name": "iOS APP", "parent_id": "上海", "pay_order_quantity": "99.9万" }, { "id": "微信公众号", "name": "微信公众号", "parent_id": "上海", "pay_order_quantity": "125.4万" }, { "id": "Android APP", "name": "Android APP", "parent_id": "深圳", "pay_order_quantity": "131.6万" }, { "id": "iOS APP", "name": "iOS APP", "parent_id": "深圳", "pay_order_quantity": "94.1万" }, { "id": "微信公众号", "name": "微信公众号", "parent_id": "深圳", "pay_order_quantity": "130.2万" }, { "id": "Android APP", "name": "Android APP", "parent_id": "武汉", "pay_order_quantity": "153.1万" }, { "id": "iOS APP", "name": "iOS APP", "parent_id": "武汉", "pay_order_quantity": "107.7万" }, { "id": "微信公众号", "name": "微信公众号", "parent_id": "武汉", "pay_order_quantity": "151.8万" }], "schema": [{ "name": "id", "comments": "id", "type": "string", "format": "", "index": 0, "values": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "uniqueRate": 0.34375 }, { "name": "name", "comments": "name", "type": "string", "format": "", "index": 1, "values": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "uniqueRate": 0.34375 }, { "name": "pay_order_quantity", "comments": "pay_order_quantity", "type": "number", "format": "dividedBy(10000)|formatNumber(&apos;0,0.0&apos;)|suffix(&apos;万&apos;)", "index": 2, "values": ["320.0万", "343.9万", "269.5万", "295.4万", "368.3万", "366.2万", "355.9万", "412.5万", "158.6万", "38.4万", "123.1万", "138.0万", "69.9万", "136.0万", "116.3万", "56.4万", "96.8万", "92.2万", "79.5万", "123.7万", "154.3万", "87.4万", "126.6万", "140.9万", "99.9万", "125.4万", "131.6万", "94.1万", "130.2万", "153.1万", "107.7万", "151.8万"], "uniqueRate": 1 }, { "name": "parent_id", "comments": "parent_id", "type": "string", "format": "", "index": 3, "values": ["-", "-", "-", "-", "-", "-", "-", "-", "北京", "北京", "北京", "长沙", "长沙", "长沙", "成都", "成都", "成都", "广州", "广州", "广州", "杭州", "杭州", "杭州", "上海", "上海", "上海", "深圳", "深圳", "深圳", "武汉", "武汉", "武汉"], "uniqueRate": 0.28125 }], "flattenRows": [["北京", "北京", "320.0万", "-"], ["长沙", "长沙", "343.9万", "-"], ["成都", "成都", "269.5万", "-"], ["广州", "广州", "295.4万", "-"], ["杭州", "杭州", "368.3万", "-"], ["上海", "上海", "366.2万", "-"], ["深圳", "深圳", "355.9万", "-"], ["武汉", "武汉", "412.5万", "-"], ["Android APP", "Android APP", "158.6万", "北京"], ["iOS APP", "iOS APP", "38.4万", "北京"], ["微信公众号", "微信公众号", "123.1万", "北京"], ["Android APP", "Android APP", "138.0万", "长沙"], ["iOS APP", "iOS APP", "69.9万", "长沙"], ["微信公众号", "微信公众号", "136.0万", "长沙"], ["Android APP", "Android APP", "116.3万", "成都"], ["iOS APP", "iOS APP", "56.4万", "成都"], ["微信公众号", "微信公众号", "96.8万", "成都"], ["Android APP", "Android APP", "92.2万", "广州"], ["iOS APP", "iOS APP", "79.5万", "广州"], ["微信公众号", "微信公众号", "123.7万", "广州"], ["Android APP", "Android APP", "154.3万", "杭州"], ["iOS APP", "iOS APP", "87.4万", "杭州"], ["微信公众号", "微信公众号", "126.6万", "杭州"], ["Android APP", "Android APP", "140.9万", "上海"], ["iOS APP", "iOS APP", "99.9万", "上海"], ["微信公众号", "微信公众号", "125.4万", "上海"], ["Android APP", "Android APP", "131.6万", "深圳"], ["iOS APP", "iOS APP", "94.1万", "深圳"], ["微信公众号", "微信公众号", "130.2万", "深圳"], ["Android APP", "Android APP", "153.1万", "武汉"], ["iOS APP", "iOS APP", "107.7万", "武汉"], ["微信公众号", "微信公众号", "151.8万", "武汉"]], "colValuesByName": { "id": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "name": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "parent_id": ["-", "-", "-", "-", "-", "-", "-", "-", "北京", "北京", "北京", "长沙", "长沙", "长沙", "成都", "成都", "成都", "广州", "广州", "广州", "杭州", "杭州", "杭州", "上海", "上海", "上海", "深圳", "深圳", "深圳", "武汉", "武汉", "武汉"], "pay_order_quantity": ["320.0万", "343.9万", "269.5万", "295.4万", "368.3万", "366.2万", "355.9万", "412.5万", "158.6万", "38.4万", "123.1万", "138.0万", "69.9万", "136.0万", "116.3万", "56.4万", "96.8万", "92.2万", "79.5万", "123.7万", "154.3万", "87.4万", "126.6万", "140.9万", "99.9万", "125.4万", "131.6万", "94.1万", "130.2万", "153.1万", "107.7万", "151.8万"] }, "colNamesByType": { "string": ["id", "name", "parent_id"], "number": ["pay_order_quantity"] }, "colsByType": { "string": [{ "name": "id", "comments": "id", "type": "string", "format": "", "index": 0, "values": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "uniqueRate": 0.34375 }, { "name": "name", "comments": "name", "type": "string", "format": "", "index": 1, "values": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "uniqueRate": 0.34375 }, { "name": "parent_id", "comments": "parent_id", "type": "string", "format": "", "index": 3, "values": ["-", "-", "-", "-", "-", "-", "-", "-", "北京", "北京", "北京", "长沙", "长沙", "长沙", "成都", "成都", "成都", "广州", "广州", "广州", "杭州", "杭州", "杭州", "上海", "上海", "上海", "深圳", "深圳", "深圳", "武汉", "武汉", "武汉"], "uniqueRate": 0.28125 }], "number": [{ "name": "pay_order_quantity", "comments": "pay_order_quantity", "type": "number", "format": "dividedBy(10000)|formatNumber(&apos;0,0.0&apos;)|suffix(&apos;万&apos;)", "index": 2, "values": ["320.0万", "343.9万", "269.5万", "295.4万", "368.3万", "366.2万", "355.9万", "412.5万", "158.6万", "38.4万", "123.1万", "138.0万", "69.9万", "136.0万", "116.3万", "56.4万", "96.8万", "92.2万", "79.5万", "123.7万", "154.3万", "87.4万", "126.6万", "140.9万", "99.9万", "125.4万", "131.6万", "94.1万", "130.2万", "153.1万", "107.7万", "151.8万"], "uniqueRate": 1 }] }, "colByName": { "id": { "name": "id", "comments": "id", "type": "string", "format": "", "index": 0, "values": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "uniqueRate": 0.34375 }, "name": { "name": "name", "comments": "name", "type": "string", "format": "", "index": 1, "values": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "uniqueRate": 0.34375 }, "pay_order_quantity": { "name": "pay_order_quantity", "comments": "pay_order_quantity", "type": "number", "format": "dividedBy(10000)|formatNumber(&apos;0,0.0&apos;)|suffix(&apos;万&apos;)", "index": 2, "values": ["320.0万", "343.9万", "269.5万", "295.4万", "368.3万", "366.2万", "355.9万", "412.5万", "158.6万", "38.4万", "123.1万", "138.0万", "69.9万", "136.0万", "116.3万", "56.4万", "96.8万", "92.2万", "79.5万", "123.7万", "154.3万", "87.4万", "126.6万", "140.9万", "99.9万", "125.4万", "131.6万", "94.1万", "130.2万", "153.1万", "107.7万", "151.8万"], "uniqueRate": 1 }, "parent_id": { "name": "parent_id", "comments": "parent_id", "type": "string", "format": "", "index": 3, "values": ["-", "-", "-", "-", "-", "-", "-", "-", "北京", "北京", "北京", "长沙", "长沙", "长沙", "成都", "成都", "成都", "广州", "广州", "广州", "杭州", "杭州", "杭州", "上海", "上海", "上海", "深圳", "深圳", "深圳", "武汉", "武汉", "武汉"], "uniqueRate": 0.28125 } }, "cols": [{ "name": "id", "comments": "id", "type": "string", "format": "", "index": 0, "values": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "uniqueRate": 0.34375 }, { "name": "name", "comments": "name", "type": "string", "format": "", "index": 1, "values": ["北京", "长沙", "成都", "广州", "杭州", "上海", "深圳", "武汉", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号", "Android APP", "iOS APP", "微信公众号"], "uniqueRate": 0.34375 }, { "name": "pay_order_quantity", "comments": "pay_order_quantity", "type": "number", "format": "dividedBy(10000)|formatNumber(&apos;0,0.0&apos;)|suffix(&apos;万&apos;)", "index": 2, "values": ["320.0万", "343.9万", "269.5万", "295.4万", "368.3万", "366.2万", "355.9万", "412.5万", "158.6万", "38.4万", "123.1万", "138.0万", "69.9万", "136.0万", "116.3万", "56.4万", "96.8万", "92.2万", "79.5万", "123.7万", "154.3万", "87.4万", "126.6万", "140.9万", "99.9万", "125.4万", "131.6万", "94.1万", "130.2万", "153.1万", "107.7万", "151.8万"], "uniqueRate": 1 }, { "name": "parent_id", "comments": "parent_id", "type": "string", "format": "", "index": 3, "values": ["-", "-", "-", "-", "-", "-", "-", "-", "北京", "北京", "北京", "长沙", "长沙", "长沙", "成都", "成都", "成都", "广州", "广州", "广州", "杭州", "杭州", "杭州", "上海", "上海", "上海", "深圳", "深圳", "深圳", "武汉", "武汉", "武汉"], "uniqueRate": 0.28125 }], "rowsCount": 32, "colsCount": 4 }

const before = Date.now();
const padding = 'none';

ReactDOM.render(
  (
    <div>
      <d2recharts.Bar padding={padding} data={data} measures={['pay_order_quantity']} dimension='name' />

    </div>
  ),
  document.getElementById("canvas")
);
console.log(Date.now() - before);
